> ## Documentation Index
> Fetch the complete documentation index at: https://tradewatch.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Usage statistics

> Get the usage statistics of your API account



## OpenAPI

````yaml /openapi.json get /account/usage
openapi: 3.1.0
info:
  title: tradewatch.io
  version: 3.1.0
  description: Financial market data for Developers
servers:
  - url: https://api.tradewatch.io
    description: Production API server
security:
  - API Key: []
tags:
  - name: Account
    description: >-
      In this section, you can find methods that can be helpful to manage your
      API account.
    x-displayName: Account
  - name: Currencies
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for traditional currencies (Forex).
    x-displayName: Currencies
  - name: Crypto
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for cryptocurrencies.
    x-displayName: Crypto
  - name: Indices
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for market indices.
    x-displayName: Indices
  - name: Stocks
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for stocks and equities.
    x-displayName: Stocks
  - name: Fundamentals
    description: Financial statements and company data sourced from SEC EDGAR filings.
  - name: Markets
    description: Stock exchange and market session information.
  - name: Commodities
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for commodities.
    x-displayName: Commodities
paths:
  /account/usage:
    get:
      tags:
        - Account
      summary: Usage statistics
      description: Get the usage statistics of your API account
      operationId: account_get_usage
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 168
            minimum: 1
            description: The number of data points to return (max 168).
            default: 24
            title: Limit
          description: The number of data points to return (max 168).
        - name: interval
          in: query
          required: false
          schema:
            allOf:
              - $ref: '#/components/schemas/AccountUsageStatisticsInterval'
            description: The time interval for the usage statistics.
            default: 1h
            title: Interval
          description: The time interval for the usage statistics.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountUsageStatistics-Input'
              examples:
                last-24-h:
                  value:
                    '1685541600':
                      requests: 25
                      data:
                        request: 25372
                        response: 23928708
        '422':
          description: Validation error
          content:
            application/json:
              examples:
                invalid query parameter:
                  value:
                    error:
                      code: 422
                      message: 'limit: value is not a valid integer'
              schema:
                $ref: '#/components/schemas/ErrorResponseBody'
components:
  schemas:
    AccountUsageStatisticsInterval:
      type: string
      enum:
        - 1h
        - 1d
      title: AccountUsageStatisticsInterval
      description: Data interval
    AccountUsageStatistics-Input:
      patternProperties:
        ^[0-9]{10}$:
          $ref: '#/components/schemas/ApiUsageEntry'
      type: object
      title: AccountUsageStatistics
    ErrorResponseBody:
      properties:
        error:
          $ref: '#/components/schemas/ErrorDetails'
      type: object
      required:
        - error
      title: ErrorResponseBody
    ErrorDetails:
      properties:
        code:
          type: integer
          title: Code
        message:
          type: string
          title: Message
      type: object
      required:
        - code
        - message
      title: ErrorDetails
  securitySchemes:
    API Key:
      description: Authentication via API key header
      type: apiKey
      name: api-key
      in: header

````